Table of Contents

## Name

amd - Amd video driver - lx options

## Synopsis

    Section "Device"
      Identifier "devname"
      Driver "amd"
      ...
    EndSection

## Description

amd is an XFree86 driver for Advanced Micro Devicess GEODE processor family. It uses the CIMARRON kit provided by Advanced Micro Devices. The driver is accelerated, and provides support for the following framebuffer depths: 8, 16 and 24.

## Supported Hardware

The amd driver supports GeodeLX (5536 companion chip).

## Configuration Details

Please refer to XF86Config(5x) for general configuration details. This section only covers configuration details specific to this driver.

The driver will auto-detect the amount of video memory present. If actual the amount of active video memory should be changed, this may be specified with a VideoRam entry in the config file. The driver will attempt to allocate all public/free reigons from the framebuffer memory, as allocated by the kernel cimarron module. All private framebuffer reservations should be made before starting X. Note that X attempts to open /dev/video# devices during initialization, so that attached drivers may allocate framebuffer memory before X reserves it. X will try to reserve framebuffer memory using "/dev/cim" (char device node 10,156).

"Device" section.

The following driver Options are supported:

Option "HWCursor"

  > Option "SWCursor"

  > > Enable HW or SW cursor.
  > > Default: HW cursor.

Option "Accel"

  > Option "NoAccel"

  > > Disable or enable acceleration.
  > > Default: acceleration enabled.

Option "Compression"

  > Option "NoCompression"

  > > Disable or enable compression.
  > > Default: compression is enabled.

Option "ShadowFB"

  > Option "NoShadowFB"

  > > Enable or disable use of the shadow framebuffer layer.
  > > Default: off.

Option "Rotate" "CW"

  > Option "Rotate" "Invert"

  > > Option "Rotate" "CCW"

  > > > The display may be "rotated" in 3 ways, ClockWise, Upside-Down and CounterClocwise using: This is accomplished using a "shadow" framebuffer, and using either a hardware or software operation to transform the image to the operational display buffer.
  > > > Default: no rotation.

Option "FPDestGeom" "WxH"
  This allows the configuration to override the bios probe of the FlatPanel output interface. Since flat-panels have fixed timing - that is, only one "real" mode - the mode switch operation which normally might select a wide variety of operational states must scale the mode selection to fit the fixed panel timing. This option is used to communicate that the mode selection is for a flat panel. When this option is used, the bios probe is skipped and the specified geometry is used to derive timings.
  Default: bios.

Option "FPActiveGeom" "WxH"
  This allows the configuration of the active flatpanel display area. This area must fit into the destination geometry area. The source (mode WxH) geometry will be scaled to the active geometry, and centered in the destination geometry of the FlatPanel output.
  Default: FPDestGeom.

Option "FlatPanel"

  > Option "NoFlatPanel"

  > > This allows the configuration to override the initialization probe to enable or disable the FlatPanel output interface.
  > > Default: bios.

Option "CrtEnable"

  > Option "NoCrtEnable"

  > > This allows the configuration to override the initialization probe to enable or disable the CRT output interface.
  > > Default: bios.

Option "OSMImageBuffers" "integer"
  This sets the number of scanline buffers to be allocated in offscreen scanline memory for acceleration. This can take any value 0 will disable the allocation. Disabled if cannot allocate requested scanline memory.
  Default: 20.
Option "OSMColorExpBuffers" "integer"
  This sets the number of scanline buffers to be allocated in offscreen color expansiopn memory for acceleration. This can take any value 0 will disable the allocation. Disabled if cannot allocate requested scanline memory.
  Default: 20.

TVOUT Options

TVOUT is operated when a tv encoder has been selected by using the
  TV_Encoder option describe below, and a tv mode name is selected as the active display mode. The list of tv mode names are:

  > ModeName `` `` Geometry `` `` Std/Hi`` `` Encoders
  > tv-ntsc `` `` 720x480 `` `` Std `` `` adv7171 saa7127 adv7300
  > pnl-ntsc `` `` 640x480 `` `` Std `` `` fs454
  > pnl-8x6_ntsc `` `` 800x600 `` `` Std `` `` fs454
  > pnl-10x7_ntsc`` `` 1024x768 `` `` Std `` `` fs454
  > tv-pal `` `` 720x576 `` `` Std `` `` adv7171 saa7127 adv7300
  > pnl-pal `` `` 640x480 `` `` Std `` `` fs454
  > pnl-8x6_pal `` `` 800x600 `` `` Std `` `` fs454
  > pnl-10x7_pal `` `` 1024x768 `` `` Std `` `` fs454
  > tv-480p `` `` 720x480 `` `` Hi `` `` adv7300
  > pnl-480p `` `` 720x480 `` `` Hi `` `` fs454
  > tv-720p `` `` 1280x720 `` `` Hi `` `` adv7300
  > pnl-720p `` `` 1280x720 `` `` Hi `` `` fs454
  > tv-1080i `` `` 1920x1080 `` `` Hi `` `` adv7300 fs454
  > Default: none -

manditory parameter

Option "TV_Encoder" "encoder"
  This option is manditory for TVOUT operation. It enables selection of the subset TVOUT modes which are permitted for the designated encoder family. The encoder must be one of: adv7171 `` `` - modes for the adv7171 encoder
  saa7127 `` `` - modes for the saa7127 encoder
  fs454 `` `` - modes for the fs454 encoder
  adv7300 `` `` - modes for the adv7300 encoder
  Default: none - manditory parameter
Option "TV_Bus_Fmt" "format"
  This option is optional for TVOUT operation. It selects the bus format of the TVOUT data. The format must be one of: disabled `` `` - VOP output is disabled
  vip1_1 `` `` - VIP 1.1
  ccir656 `` `` - CCIR 656 output
  vip20_8bit `` `` - 8-bit VIP 2.0 output
  vip20_16bit `` `` - 16-bit VIP 2.0 output
  601_yuv_8bit `` `` - 601 output, 8-bit YUV 4:2:2
  601_yuv_16bit `` `` - 601 output, 16-bit YUV 4:2:2
  601_rgb_8_8_8 `` `` - 601 output, 24-bit RGB
  601_yuv_4_4_4 `` `` - 601 output, YUV 4:4:4
  Default: vip1_1 for Std modes, vip20_16bit for Hi modes
Option "TV_Conversion" "conversion"
  This option is optional for TVOUT operation. It selects the bus color conversion sampling method of the TVOUT data. The conversion must be one of:
  cosited `` `` - color conversion cosited sampling
  interspersed `` `` - color conversion interspersed sampling
  alternating `` `` - color conversion alternating sampling
  Default: cosited
Option "TV_Overscan" "X:Y"
  This option is optional for TVOUT operation. It selects the image overscale size in pixels. The output image is downscaled and padded with a blanking region such that the resulting image contains a left and right margin of X pixels, and a top and bottom margin of Y pixels.
  Default: 0:0
Option "TV_Flags" "flags"
  This option is optional for TVOUT operation. It selects standard features of the TVOUT data. The flags may be a ":" seperated list of:
  disabled `` `` - VOP output is disabled
  singlechipcompat`` `` - Enables SCx2xx compatibility mode..
  extendedsav `` `` - Enables extended SAV/EAV codes.
  vbi `` `` - Use the task bit to indicate VBI data.
  task `` `` - Set Task Bit to 1in VIP 2.0 mode.
  swap_uv `` `` - Swap the U and V data prior to output.
  swap_vbi `` `` - Swap the VBI bytes prior to output.
  Default: no active flags
Option "TV_601_Flags" "601_flags"
  This option is optional for TVOUT operation. It selects 601 features of the TVOUT data. The 601_flags may be a ":" seperated list of:
  inv_de_pol `` `` - Invert the polarity of display enable
  inv_hs_pol `` `` - Invert the polarity of hsync
  inv_vs_pol `` `` - Invert the polarity of vsync
  vsync-4 `` `` - The VSync occurs 4 clocks earlier
  vsync-2 `` `` - The VSync occurs 2 clocks earlier
  vsync+0 `` `` - The VSync is not shifted at all
  vsync+2 `` `` - The Vsync occurs 2 clocks later
  Default: vsync+0
Option "TV_Vsync_Select" "sync_select"
  This option is optional for TVOUT operation. It selects the source for the VIP vsync output pin (not the VOP sync). This normally may be used to generate "genlock" timing. The sync_select may one of:
  disabled `` `` - VSync out disabled
  vg `` `` - The VSync signal from the VG (video generator)
  vg_inv `` `` - The VSync signal from the VG (inverted)
  statreg17 `` `` - 1 written to VIP status[17] toggles vsync
  statreg17_inv`` `` - 1 written to VIP status[17] toggles vsync
  Default:

disabled

## Name

amd - Amd video driver - gx options

## Synopsis

    Section "Device"
      Identifier "devname"
      Driver "amd"
      ...
    EndSection

## Description

amd is an XFree86 driver for Advanced Micro Devices GEODE processor family. It uses the DURANGO kit provided by Advanced Micro Devices. The driver is accelerated, and provides support for the following framebuffer depths: 8, 16 and 24.

## Supported Hardware

The amd driver supports GXLV (5530 companion chip), SC1200, SC1400 and GX (5535 companion chip).

## Configuration Details

Please refer to XF86Config(5x) for general configuration details. This section only covers configuration details specific to this driver.

The driver will auto-detect the amount of video memory present for all chips. If the amount of memory is detected incorrectly, the actual amount of video memory should be specified with a VideoRam entry in the config file "Device" section.

The following driver Options are supported:

Option "SWCursor" "boolean"
  Enable or disable the SW cursor. Default: off.
Option "HWCursor" "boolean"
  Enable or disable the HW cursor. Default: on.
Option "NoAccel" "boolean"
  Disable or enable acceleration. Default: acceleration is enabled.
Option "NoCompression" "boolean"
  Disable or enable compression. Default: compression is enabled.
Option "ShadowFB" "boolean"
  Enable or disable use of the shadow framebuffer layer. Default: off.
Option "Rotate" "CW"
  Rotate the display clockwise. This mode is unaccelerated, and uses the Shadow Frame Buffer layer. Default: no rotation.
Option "Rotate" "CCW"
  Rotate the display counterclockwise. This mode is unaccelerated, and uses the Shadow Frame Buffer layer. Default: no rotation.
Option "FlatPanel" "boolean"
  This enables the FlatPanel display unit. The FlatPanel depends on the BIOS to do the Pnale h/w initialization. In GX based platforms with TFT part Flatpanel is enabled, and on CRT part is disabled. Default: off.
Option "OSMImageBuffers" "integer"
  This sets the number of scanline buffers to be allocated in offscreen memory for acceleration. This can take any value 0 will disable the allocation. Disabled if cannot alocate requested scanline memory. Default: 20.
Option "ColorKey" "integer"
  This sets the default pixel value for the YUV video overlay key. Default: 0.

The following Options are supported only on SC1200 based platforms:

Option "TV" "PAL-768x576"
  Selects the PAL TV display mode 768x576 and the depth is forced to 16 bpp. Default: no TV.
Option "TV" "PAL-720x576"
  Selects the PAL TV display mode 720x576 and the depth is forced to 16 bpp. Default: no TV.
Option "TV" "NTSC-720x480"
  Selects the NTSC TV display mode 720x480 and the depth is forced to 16 bpp. Default: no TV.
Option "TV" "NTSC-640x480"
  Selects the NTSC TV display mode 640x480 and the depth is forced to 16 bpp. Default: no TV.
Option "TV_Output" "COMPOSITE"
  The selected TV mode output is coded for Composite signal. Default: no TV.
Option "TV_Output" "SVIDEO"
  The selected TV mode output is coded for SVIDEO signal. Default: no TV.
Option "TV_Output" "YUV"
  The selected TV mode output is coded for YUV signal. Default: no TV.
Option "TV_Output" "SCART"
  The selected TV mode output is coded for SCART signal. Default: no TV.
Option "TVOverscan" x:yy:ww:hh"
  This option will let only the viewable display area smaller to be able to view on TV. The parameters xx: X-offset, yy: Y-offset, ww: Viewable width, hh: Viewable height. Default: no TV.

## See Also

XFree86(1) , XF86Config(5x) , xf86config(1) , Xserver(1) , X(7)

## Author

Author: William Morrow

Table of Contents

- Name
- Synopsis
- Description
- Supported Hardware
- Configuration Details
- Name
- Synopsis
- Description
- Supported Hardware
- Configuration Details
- See Also
- Author